from django.conf.urls import patterns, url
from pdfformfiller.views import editor

urlpatterns = patterns('pdfformfiller.views',
    url(r'^(?P<pdf>.*)/edit/$', editor.PDFFormFillerEditor.as_view(), name='pdfformfiller-edit'),
)

urlpatterns += patterns('pdfformfiller.views.json',
    url(r'^json/(?P<pdf>\d+)/$', 'get_pages', name='pdfformfiller-json-get-pages'),
    url(r'^json/(?P<pdf>\d+)/(?P<page_no>\d+)/$', 'get_page', name='pdfformfiller-json-get-page'),
)

